Bug 1076444 - Ruby 2.1
Ruby 2.1
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Changes Tracking (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Vít Ondruch
Petr Bokoc
ChangeAcceptedF21
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-14 07:09 EDT by Jaroslav Reznik
Modified: 2014-12-08 10:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
<title>Ruby 2.1</title> <para> Ruby 2.1 is the latest stable version of Ruby, and brings major increases in speed, memory efficiency, and reliability. </para> <para> The update brings a soname bump. Therefore, Ruby packages which use binary extensions should be rebuilt. Nevertheless, since upstream payed great attention to source compatibility, no changes to your code should be needed. Additionally, RubyGems with binary extensions need to be updated to conform to the recent package guidelines to ensure compatibility with the new RubyGems release. </para> <para> Also note that starting with this release, Ruby is adopting <ulink url="https://www.ruby-lang.org/en/news/2013/12/21/ruby-version-policy-changes-with-2-1-0/">semantic versioning</ulink>. </para> <para> You can find a full list of changes in Ruby 2.1 in the <ulink url="https://github.com/ruby/ruby/blob/v2_1_0/NEWS">changelog</ulink>. Full documentation is available at the <ulink url="http://www.ruby-doc.org/">Ruby documentation</ulink> page. </para>
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-12-08 10:22:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
pbokoc: fedora_requires_release_note+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Reznik 2014-03-14 07:09:26 EDT
This is a tracking bug for Change: Ruby 2.1
For more details, see: http://fedoraproject.org//wiki/Changes/Ruby_2.1

Ruby 2.1 is the latest stable version of Ruby, with major increases in speed, memory efficiency and reliability. With this major update from Ruby 2.0.0 in Fedora 20 to Ruby 2.1 in Fedora 21, alongside JRuby, Fedora becomes the superior Ruby development platform.
Comment 1 Petr Bokoc 2014-08-14 15:17:45 EDT
Hello Vit,

I wrote a draft of the Ruby 2.1 release note for Fedora 21 Alpha. Please take a look at https://fedoraproject.org/wiki/Documentation_Development_Beat#Ruby_2.1 and let me know if it's fine, or if you'd like to add or change anything.

Thanks!
Comment 2 Vít Ondruch 2014-08-15 03:52:56 EDT
(In reply to Petr Bokoc from comment #1)
Thanks for doing that and yes, the release notes seems reasonable.
Comment 3 Jaroslav Reznik 2014-10-07 08:23:56 EDT
This message is a reminder that Fedora 21 Change Checkpoint: 100% Code Complete Deadline (Former Accepted Changes 100% Complete) is on 2014-10-14 [1].

All Accepted Changes has to be code complete and ready to be validated in the Beta release (optionally by Fedora QA). Required bug state at this point is ON_QA.

As for several System Wide Changes, Beta Change Deadline is a point of contingency plan. All incompleted Changes will be reported to FESCo on 2014-10-15 meeting. In case of any questions, don't hesitate to ask Wrangler (jreznik).

[1] https://fedoraproject.org/wiki/Releases/21/Schedule

Note You need to log in before you can comment on or make changes to this bug.